curl --request GET \
--url https://vision.pingintel.com/api/v1/submission/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://vision.pingintel.com/api/v1/submission/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://vision.pingintel.com/api/v1/submission/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actions": [
{
"claim": true,
"download_documents": true,
"transition_to": {},
"view_map": true
}
],
"automated_processing_failed": true,
"automated_processing_failed_reason": "<string>",
"broker_assistant_name": "<string>",
"broker_city": "<string>",
"broker_contact_name": "<string>",
"broker_country": "<string>",
"broker_email": "<string>",
"broker_fein": "<string>",
"broker_full_address": "<string>",
"broker_name": "<string>",
"broker_state": "<string>",
"broker_street": "<string>",
"broker_street2": "<string>",
"broker_zip": "<string>",
"cat_modeling_term_selectors_read_only": true,
"claimed_by__username": "<string>",
"claimed_by_id": "<string>",
"client_ref": "<string>",
"company_name": "<string>",
"company_short_name": "<string>",
"created_by__username": "<string>",
"created_by_id": "<string>",
"created_time": "2023-11-07T05:31:56Z",
"data_readiness_notes": "<string>",
"data_readiness_score": 123,
"division_name": "<string>",
"division_short_name": "<string>",
"division_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documents": [
{
"actions": [
"<string>"
],
"archived_on": "2023-11-07T05:31:56Z",
"archived_reason": "<string>",
"created_time": "2023-11-07T05:31:56Z",
"document_type": "<string>",
"extension": "<string>",
"filename": "<string>",
"id": "<string>",
"is_archived": true,
"preview_url": "<string>",
"url": "<string>"
}
],
"email_subject": "<string>",
"expiration_date": "2023-11-07T05:31:56Z",
"extra_data": {},
"from_email": "<string>",
"global_request_id": "<string>",
"home_state": "<string>",
"id": "<string>",
"inception_date": "2023-11-07T05:31:56Z",
"insured_business_description": "<string>",
"insured_city": "<string>",
"insured_contact_email": "<string>",
"insured_contact_name": "<string>",
"insured_contact_phone": "<string>",
"insured_country": "<string>",
"insured_fein": "<string>",
"insured_full_address": "<string>",
"insured_gl_code": "<string>",
"insured_name": "<string>",
"insured_ofac_status": "<string>",
"insured_sic": "<string>",
"insured_state": "<string>",
"insured_street": "<string>",
"insured_street2": "<string>",
"insured_website": "<string>",
"insured_zip": "<string>",
"is_building_data_ready": true,
"is_ping_certified": true,
"jobs": [
{
"created_time": "2023-11-07T05:31:56Z",
"filenames": [
"<string>"
],
"hidden": true,
"job_id": "<string>",
"job_type": "<string>",
"job_type_details": {},
"processing_last_message": "<string>",
"processing_pct_complete": 123,
"processing_status": "<string>",
"updated_time": "2023-11-07T05:31:56Z",
"user_id": "<string>"
}
],
"limits_bi_limit": "<string>",
"limits_bpp_limit": "<string>",
"limits_building_limit": "<string>",
"limits_signs_and_other_limit": "<string>",
"limits_total_limit": "<string>",
"modified_time": "2023-11-07T05:31:56Z",
"num_buildings": "<string>",
"ping_maps": {
"status": "<string>",
"status_display": "<string>",
"status_pct_complete": 123,
"status_reason": "<string>",
"url": "<string>"
},
"pk": "<string>",
"primary_naics_code": "<string>",
"received_time": "2023-11-07T05:31:56Z",
"rule_results": [
{
"ran_at": "2023-11-07T05:31:56Z",
"result": "<string>",
"rule": "<string>",
"value": "<string>"
}
],
"rules_overall_result": "<string>",
"source__inbox_email_address": "<string>",
"source__source_type": "<string>",
"source__source_type_display": "<string>",
"statistics": {},
"team_name": "<string>",
"team_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wholesale_broker_city": "<string>",
"wholesale_broker_country": "<string>",
"wholesale_broker_email": "<string>",
"wholesale_broker_fein": "<string>",
"wholesale_broker_license_number": "<string>",
"wholesale_broker_license_state": "<string>",
"wholesale_broker_name": "<string>",
"wholesale_broker_phone": "<string>",
"wholesale_broker_state": "<string>",
"wholesale_broker_street": "<string>",
"wholesale_broker_street2": "<string>",
"wholesale_broker_zip": "<string>",
"workflow_status_name": "<string>",
"workflow_status_uuid": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Get Submission Details
Retrieve a single submission by pingid. Accepts params for field selection and other inclusions.Behaves much like GET /v1/submission, excluding parameters that only apply to multi-result pages and filtering.(cursor_id, page_size, sort_by, sort_order).
Authorizations
Supports Token-prefixed API keys and Bearer-prefixed JWT-based authentication.
Path Parameters
The pingid of the submission.
Response
Show child attributes
Show child attributes
True if automated processing failed.
Reason for automated processing failure.
Broker assistant name.
Broker city.
Broker contact name.
Broker country.
Broker email.
Broker FEIN.
Broker full address.
Broker name.
Broker state.
Broker street.
Broker street 2.
Broker zip.
Is cat modeling term selectors read-only.
Claimed by username.
Claimed by ID.
Client reference.
Company name.
Company short name.
Created by username.
Created by ID.
Created time.
Data readiness notes.
Data readiness score.
Division name.
Division short name.
Division UUID.
Show child attributes
Show child attributes
Email subject.
Expiration date.
Extra data.
Show child attributes
Show child attributes
From email.
Global request ID.
Home state.
ID.
Inception date.
Insured business description.
Insured city.
Insured contact email.
Insured contact name.
Insured contact phone.
Insured country.
Insured FEIN.
Insured full address.
Insured GL code.
Insured name.
Insured OFAC status.
Insured SIC.
Insured state.
Insured street.
Insured street 2.
Insured website.
Insured zip.
Is building data ready.
Show child attributes
Show child attributes
Limits BI limit.
Limits contents limit.
Limits building limit.
Limits signs and other limit.
Limits total limit.
Modified time.
Number of buildings.
Show child attributes
Show child attributes
Primary key.
Insured NAICS.
Received time.
Show child attributes
Show child attributes
Triage rules overall result.
Source inbox email address.
Source type.
Source type display.
Statistics.
Show child attributes
Show child attributes
Team name.
Team UUID.
Wholesale broker city.
Wholesale broker country.
Wholesale broker email.
Wholesale broker FEIN.
Wholesale broker license number.
Wholesale broker license state.
Wholesale broker name.
Wholesale broker phone.
Wholesale broker state.
Wholesale broker street.
Wholesale broker street 2.
Wholesale broker zip.
Workflow status name.
Workflow status ID.